Get service backup bucket
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Returns the service backup bucket.
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
backupBucket
Get service backup bucket
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backupBucket \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backupBucket"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/backupBucket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bucketProvider": "AWS",
"bucketPath": "<string>",
"iamRoleArn": "<string>",
"iamRoleSessionName": "<string>"
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Returns the service backup bucket.
Returns the service backup bucket.
Permission
The API key must have the
control-plane:service:view-backups permission.Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the service.
Last modified on September 16, 2026
Was this page helpful?
⌘I
Get service backup bucket
